[git commit] libbb: compile obscure() only if FEATURE_PASSWD_WEAK_CHECK=y

Denys Vlasenko vda.linux at googlemail.com
Thu Jan 4 14:21:25 UTC 2018


commit: https://git.busybox.net/busybox/commit/?id=7367a949a6a81d71d524f0635a212371120df4e0
branch: https://git.busybox.net/busybox/commit/?id=refs/heads/master

Signed-off-by: Denys Vlasenko <vda.linux at googlemail.com>
---
 libbb/Kbuild.src | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/libbb/Kbuild.src b/libbb/Kbuild.src
index 6e6d71a..8c9ba8c 100644
--- a/libbb/Kbuild.src
+++ b/libbb/Kbuild.src
@@ -143,7 +143,8 @@ lib-$(CONFIG_DELGROUP) += update_passwd.o
 lib-$(CONFIG_DELUSER) += update_passwd.o
 
 lib-$(CONFIG_FTPD) += pw_encrypt.o correct_password.o
-lib-$(CONFIG_PASSWD) += pw_encrypt.o update_passwd.o obscure.o
+lib-$(CONFIG_PASSWD) += pw_encrypt.o update_passwd.o
+lib-$(CONFIG_FEATURE_PASSWD_WEAK_CHECK) += obscure.o
 lib-$(CONFIG_CHPASSWD) += pw_encrypt.o update_passwd.o
 lib-$(CONFIG_CRYPTPW) += pw_encrypt.o
 lib-$(CONFIG_MKPASSWD) += pw_encrypt.o


More information about the busybox-cvs mailing list